/*!
* \file joueurList.h
* \brief Fichier contenant les signatures de la liste de Joueur.
*/

#ifndef JOUEUR_LIST_H
#define JOUEUR_LIST_H

#include "structures.h"

// Fonctions concernant la structure NodeJoueur
NodeJoueur * initNodeJoueur(Joueur * j, NodeJoueur * n);
void deleteNodeJoueur(NodeJoueur * j);

// Fonctions concernant la structure ListJoueur
void initJoueurList(ListJoueur * l);
void deleteJoueurList(ListJoueur * l);

void printJoueurList(ListJoueur * l);

int emptyJoueurList(ListJoueur * l);
int outOfJoueurList(ListJoueur * l);

void setOnFirstJoueur(ListJoueur * l);
void nextJoueur(ListJoueur * l);
NodeJoueur * getCurrentJoueur(ListJoueur * l);

int addNodeJoueurNext(ListJoueur * l, Joueur * j);
int deleteCurrentNodeJoueur(ListJoueur * l);

void setOnJoueur(ListJoueur * l, Joueur * j);

int deleteNodeJoueur(ListJoueur * l, Joueur * j);

#endif // JOUEUR_LIST_H
